:root {
    --red: #e3000f;
    --redHover: #c5000d;
}

* {
    font-family: "Jost", sans-serif;
    scroll-behavior: smooth;
    outline: 0 !important;
}

body {
    font-size: 16px;
    font-weight: 400;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
}

.header-navbar {
    display: none;
}

.app-sidebar .address {
    margin: 20px 0 0 0;
    font-size: 14px;
    opacity: .5;
}

@media (min-width: 1399px) {
    .container {
        max-width: 1400px;
    }
}

 .age-warning{
    font-size: 25px;
    margin-top: 15px;
    font-weight: 500;
}

 .carry-btn{
    display: inline-block;
    background: #c0c0c0;
    padding: 10px 20px;
    border-radius: 8px;
    color: #fff;
    font-weight: 500;
    transition: 300ms;
}

 .carry-btn:Hover{
    background: #616161;
    color: #fff;
}

.app {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.app-sidebar {
    width: 450px;
    height: 100vh;
    padding: 30px;
    display: flex;
    flex-direction: column;
    background: #f7f7f7;
    text-align: center;
}

.app-sidebar > div {
    width: 100%;
}

.app-sidebar .logo img {
    max-width: 250px;
}

.app-sidebar .menu {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-top: 50px;
}

.app-sidebar .menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.app-sidebar .menu > ul {
    text-align: center;
    font-size: 22px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.app-sidebar .menu > ul a {
    color: #000;
    font-weight: 500;
    transition: 300ms;
    display: inline-block;
    padding: 5px 30px;
    margin: 10px 0;
    border-radius: 20px;
}

.app-sidebar .menu > ul a:Hover {
    background: var(--red);
    color: #fff;
}

.app-sidebar .menu .socials {
    margin-bottom: 30px;
}

.app-sidebar .menu .socials .title {
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 2px;
    opacity: .6;
}

.app-sidebar .menu .socials ul {
    display: flex;
    gap: 20px;
    justify-content: center;
}

.app-sidebar .menu .socials ul a {
    color: #000;
    transition: 300ms;
    display: block;
    opacity: .5;
    font-size: 25px;
}

.app-sidebar .menu .socials ul a:Hover {
    opacity: 1;
    color: var(--red);
    text-shadow: 0 0 30px var(--red);
}

.app-sidebar .menu .reservation-btn {
    display: block;
    color: #000;
    border: 1px solid #000;
    width: fit-content;
    margin: auto;
    font-size: 20px;
    font-weight: 500;
    padding: 8px 20px;
    border-radius: 30px;
    transition: 300ms;
}

.app-sidebar .menu .reservation-btn:Hover {
    background: var(--red);
    color: #fff;
    border-color: transparent;
    box-shadow: 0 0 30px var(--red);
}

.app-sidebar .phone {
    display: block;
    text-transform: uppercase;
    letter-spacing: 2px;
    opacity: .6;
    color: #000;
    font-size: 25px;
    margin-top: 25px;
    transition: 300ms;
}

.app-sideba .phone i {
    font-weight: lighter;
}

.app-sidebar.phone:Hover {
    opacity: 1;
    color: var(--red);
}

.app-sidebar-contacts {
    margin-top: 30px;
}

@media (min-width: 992px){
    .app-sidebar .menu .phone,
    .app-sidebar .menu .address{
        display: none;
    }
}

.app-content {
    width: calc(100% - 450px);
    padding-left: 50px;
    max-height: 100vh;
    overflow: auto;
}

.welcome-hero {
    margin-left: -50px;
    width: calc(100% + 50px);
    position: relative;
}

.welcome-hero img {
    width: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
    transition: 5000ms;
}

.welcome-hero .owl-item.active img {
    transform: scale(1.1);
    opacity: 1;
    visibility: visible;
}

.welcome-hero .owl-item img {
    opacity: 0;
    visibility: hidden;
}

.welcome-hero .owl-nav {
    position: absolute;
    right: 50px;
    bottom: 50px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
}

.welcome-hero .owl-nav i {
    width: 50px;
    height: 50px;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    opacity: .5;
    transition: 300ms;
}

.welcome-hero .owl-nav i:Hover {
    opacity: 1;
    box-shadow: 0 0 30px #fff;
}

.welcome-hero .owl-dots {
    display: flex;
    position: absolute;
    left: 50px;
    bottom: 50px;
    gap: 5px;
}

.welcome-hero .owl-dots .owl-dot {
    width: 40px;
    height: 10px;
    display: block;
    background: #fff;
    border-radius: 8px;
    transition: 300ms;
    opacity: .2;
}

.welcome-hero .owl-dots .owl-dot.active {
    opacity: 1;
    box-shadow: 0 0 30px #fff;
}

.welcome-hero:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 20px;
    background: #fff;
    z-index: 99;
    opacity: .2;
}

.welcome-hero .owl-item {
    position: relative;
}

.welcome-hero .owl-item:Before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 20px;
    background: #fff;
    width: 0;
    z-index: 9;
    transition: 5000ms cubic-bezier(0.55, 0.09, 0.68, 0.53);
    box-shadow: 0 0 30px #fff;
    opacity: .8;
}

.welcome-hero .owl-item.active:Before {
    width: 100%;
}

.menu-content {
    padding: 120px 0;
}

.menu-content .section-header {
    text-align: center;
}

.menu-content .section-header p {
    margin: 0;
    font-size: 20px;
    opacity: .6;
}

.menu-content .section-header h1 {
    font-weight: 700;
    font-size: 45px;
}

.menu-content .nav {
    align-items: center;
    justify-content: center;
    margin: 50px 0 30px 0;
    border: 0;
}

.menu-content .nav .nav-link {
    border: 0;
    font-size: 20px;
    transition: 300ms;
    position: relative;
    border-radius: 12px;
    margin: 0 10px;
    color: #000;
    font-weight: 500;
    z-index: 1;
    padding: 10px 30px;
}

.menu-content .nav .nav-link:before {
    content: '';
    position: absolute;
    left: 50%;
    top: 0;
    width: 0;
    height: 100%;
    z-index: -1;
    border-block: 1px solid var(--red);
    transition: 300ms;
    opacity: 0;
}

.menu-content .nav .nav-link.active {
    color: var(--red);
}

.menu-content .nav .nav-link.active:before,
.menu-content .nav .nav-link:Hover:before {
    width: 100%;
    left: 0;
    opacity: 1;
}

.products-container {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;
}

.products-container .product {
    width: calc(33% - 30px);
    margin: 15px;
}

.products-container .product img {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 10px;
    margin-bottom: 20px;
}

.menu-content .products-container {
    max-width: 70%;
    margin: auto;
}

.products-container .product .title {
    font-size: 20px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    min-height: 60px;
    font-weight: 500;
    transition: 300ms;
}

.products-container .product .price {
    margin: 0;
    font-size: 18px;
    opacity: .6;
}

.reservation-form {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 20px;
}

.reservation-form input,
.reservation-form select {
    width: 100%;
    padding: 10px;
    border-radius: 8px;
    border: 1px solid #eee;
}

.reservation-form .form-group:not(.w-100) {
    width: calc(50% - 10px);
}

.w-100 {
    width: 100%;
}

.reservation-form .alert {
    width: 100%;
    margin: 0;
}

.reservation-form .buttons {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
}

.reservation-form .buttons button {
    border: 0;
    transition: 300ms;
    padding: 10px 30px;
    border-radius: 8px;
}

.reservation-form .buttons button.save {
    background: #438b00;
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.reservation-form .buttons button.save:Hover {
    background: #306400;
}

.reservation-form .buttons button.cancel:Hover {
    background: #d4d4d4;
}

.pageLoader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(1px);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 300ms;
    backdrop-filter: blur(10px);
}

.pageLoader.hide {
    opacity: 0;
    visibility: hidden;
}

#loader {
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    border: 6px solid #969696;
    transition: 300ms;
    animation: l20-1 0.8s infinite linear alternate,
    l20-2 1.6s infinite linear;
}

@keyframes l20-1 {
    0% {
        clip-path: polygon(50% 50%, 0 0, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%)
    }
    12.5% {
        clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 0%, 100% 0%, 100% 0%)
    }
    25% {
        clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 100%, 100% 100%, 100% 100%)
    }
    50% {
        clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 100%, 50% 100%, 0% 100%)
    }
    62.5% {
        clip-path: polygon(50% 50%, 100% 0, 100% 0%, 100% 0%, 100% 100%, 50% 100%, 0% 100%)
    }
    75% {
        clip-path: polygon(50% 50%, 100% 100%, 100% 100%, 100% 100%, 100% 100%, 50% 100%, 0% 100%)
    }
    100% {
        clip-path: polygon(50% 50%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 0% 100%)
    }
}

@keyframes l20-2 {
    0% {
        transform: scaleY(1) rotate(0deg)
    }
    49.99% {
        transform: scaleY(1) rotate(135deg)
    }
    50% {
        transform: scaleY(-1) rotate(0deg)
    }
    100% {
        transform: scaleY(-1) rotate(-135deg)
    }
}

.testimonials {
    padding-bottom: 120px;
}

.testimonials .section-header {
    text-align: center;
    margin-bottom: 50px;
}

.testimonials .section-header p {
    margin: 0;
    font-size: 20px;
    opacity: .6;
}

.testimonials .section-header h1 {
    font-weight: 700;
    font-size: 45px;
}

.testimonial {
    border: 1px solid #eee;
    padding: 30px;
    border-radius: 15px;
    transition: 300ms;
}

.testimonials:Hover .testimonial:not(:hover) {
    opacity: .5;
}

.testimonial .testimonial-header {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.testimonial .testimonial-header .avatar {
    width: 70px;
    height: 70px;
    border-radius: 100%;
    background: #eee;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: 25px;
}

.testimonial .testimonial-header .name {
    padding-left: 20px;
    width: calc(100% - 80px);
}

.testimonial .testimonial-header .name > p {
    margin: 0;
    font-size: 18px;
    opacity: .8;
}

.stars {
    display: flex;
    gap: 2px;
    font-size: 20px;
    margin-top: 4px;
}

.stars > i {
    color: #cfcfcf;
}

.stars[data-stars="5"] > i:nth-child(-n + 5),
.stars[data-stars="4"] > i:nth-child(-n + 4),
.stars[data-stars="3"] > i:nth-child(-n + 3),
.stars[data-stars="2"] > i:nth-child(-n + 2),
.stars[data-stars="1"] > i:nth-child(-n + 1) {
    color: #ffe324;
}

.testimonial .message {
    font-size: 20px;
}

.testimonials .owl-dots {
    display: flex;
    align-items: centeR;
    justify-content: center;
    gap: 10px;
}

.testimonials .owl-dots > .owl-dot {
    width: 30px;
    height: 8px;
    background: #eee;
    margin-top: 30px;
    border-radius: 8px;
    transition: 300ms;
}

.testimonials .owl-dots > .owl-dot.active {
    background: var(--red);
}

.contacts .info {
    background: #fff;
    width: 540px;
    margin: auto auto -50px auto;
    box-shadow: 0 0 120px rgba(0, 0, 0, 0.1);
    padding: 30px;
    text-align: center;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    z-index: 1;
    position: relative;
}

.contacts .info .phone {
    font-size: 30px;
    color: #000;
    font-weight: 500;
}

.contacts .info .phone > i {
    font-weight: lighter;
    margin-right: 10px;
}

.contacts .whatsapp {
    background: #25D366;
    display: inline-block;
    width: fit-content;
    margin: auto;
    color: #fff;
    font-size: 18px;
    padding: 10px 30px;
    border-radius: 30px;
    transition: 300ms;
}

.contacts .whatsapp:Hover {
    background: #149a46;
}

.contacts .email {
    color: #000;
    opacity: .5;
    transition: 300ms;
}

.contacts .email:Hover {
    opacity: 1;
}

.contacts .address .title {
    display: block;
    font-size: 18px;
    letter-spacing: 1px;
    text-transform: uppercase;
    opacity: .6;
    font-weight: 400;
}

.contacts .address {
    font-size: 25px;
    font-weight: 500;
    padding: 0 30px;
}

.contacts .map iframe {
    width: 100%;
    height: 60vh;
    filter: grayscale(100%);
    transition: 1000ms;
}

.contacts .map iframe:Hover {
    filter: grayscale(0);
}

.contacts .copyright {
    margin: 20px 0;
    text-align: center;
}

.contacts .copyright p {
    margin: 0;
}

.qr-app .menu-content .section-header h1 {
    font-size: 25px;
}

.qr-app .menu-content .section-header {
    text-align: start;
}

.qr-app #menuCategories {
    margin: 10px 0 20px 0;
    justify-content: flex-start;
    background: #eee;
    padding: 5px;
    border-radius: 8px;
    flex-wrap: unset;
    overflow: auto;
}

.qr-app #menuCategories .nav-link {
    background: transparent;
    white-space: nowrap;
}

.qr-app #menuCategories .nav-link:Before {
    content: none;
}

.qr-app #menuCategories .nav-link.active {
    background: #e3e2e2;
    color: #000;
}

.qr-app .menu-content .products-container {
    justify-content: flex-start;
}

.qr-app .app-content {
    width: 100%;
}

.qr-app .welcome-hero {
    width: 100%;
    margin: 0;
    border-radius: 8px;
    overflow: hidden;
}

#productDetailsModal #productImage {
    border-radius: 10px;
    margin-bottom: 20px;
}

.alert.alert-warning {
    background: #efefef;
    border: 0;
    font-size: 25px;
    font-weight: 500;
    color: #505050;
    width: fit-content;
    margin:20px  auto;
    border-radius: 0 8px 8px 0;
    display: flex;
    padding: 0;
    align-items: center;
    gap: 20px;
    padding-right: 20px;
}

.alert.alert-warning:Before{
    content: '\24';
    width: 70px;
    height: 70px;
    margin: auto;
    background: #dbdbdb;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px 0 0 8px;
    box-shadow: 0 0 30px rgba(0,0,0,0.1);
}

.carry-content {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.carry-content > div{
    width: 50%;
}

.carry-content > .form{
    padding: 50px;
    position: sticky;
    top: 20px;
}

.carry-content > .form .form-title{
    background: #f7f7f7;
    font-size: 20px;
    font-weight: 500;
    border-radius: 8px;
    padding: 20px 0;
    text-align: center;
}

.carry-content > .form .form-group{
    margin-bottom: 20px;
}

.carry-content .form-control{
    outline: 0 !important;
    box-shadow: none !important;
}

.carry-content .form .form-button button{
    transition: 300ms;
    padding: 15px 50px;
    border: 0;
    background: #f7f7f7;
    text-transform: uppercase;
    font-weight: 500;
    border-radius: 8px;
    transition: 300ms;
}

.carry-content .form .form-button button:hover{
    background: #888888;
    color: #fff;
}

.carry-content .info{
    margin-top: 30px;
}

.carry-content .images{
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
}

.carry-content .images > a{
    width: calc(25% - 30px);
    margin: 15px;
    border-radius: 8px;
    overflow: hidden;
}

.carry-content .images img{
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}

@media (max-width: 1400px){
    .carry-content .images > a{
        width: calc(33% - 30px);
    }
}

@media (max-width: 1200px){
    .carry-content .images > a{
        width: calc(50% - 30px);
    }
}

@media (max-width: 992px){
   .carry-content {
       flex-direction: column;
   }
    
    .carry-content > div{
        width: 100%;
        padding: 0 20px;
    }

    .carry-content > .form{
        padding: 0 20px;
    }
}

@media (max-width: 1400px) {
    .app-sidebar {
        width: 300px;
    }

    .app-content {
        width: calc(100% - 300px);
    }
}

@media (max-width: 992px) {
    .alert.alert-warning{
        font-size: 16px;
    }
    
    .app-sidebar {
        display: flex;
        position: absolute;
        left: 0;
        top: 90px;
        z-index: 999;
        width: 100%;
        height: calc(100% - 90px);
        transform: translateY(-100%);
        transition: 300ms;
        opacity: 0;
        visibility: hidden;
    }

    .app-sidebar .logo > a,
    .app-sidebar .logo .phone,
    .app-sidebar .logo .address{
        display: none;
    }
    
    .app-sidebar .logo{
        margin-top: 100px;
    }

    .open-menu .app-sidebar {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

    .app-content {
        width: 100%;
        padding: 0 10px;
    }

    .welcome-hero {
        margin-left: -10px;
        width: calc(100% + 20px);
    }

    #menuCategories .nav-link {
        font-size: 16px;
        margin: 0;
    }

    .menu-content .products-container {
        max-width: 100%;
    }

    .products-container .product {
        width: calc(50% - 30px);
        margin: 15px;
    }

    .menu-content {
        padding: 30px 0;
    }

    .contacts .info {
        width: 100%;
        margin-bottom: 20px;
        box-shadow: none;
    }

    .header-navbar {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 10px;
        height: 90px;
        position: relative;
        z-index: 999;
    }

    .header-navbar .logo img {
        width: 150px;
    }

    .header-navbar .logo {
        width: calc(100% - 50px);
        text-align: center;
    }

    .header-navbar .menu-toggle {
        border: 0;
        background: transparent;
        color: #000;
    }

    .open-menu .header-navbar .menu-toggle i:Before {
        content: '\f00d';
    }
    
    .app-sidebar .address {
        display: block;
    }
    
    .header-navbar.qr{
        height: 70px;
    }
    
    .header-navbar.qr .logo {
        width: 100%;
    }
    
    .header-navbar.qr .instagram{
        position: absolute;
        left: 15px;
        font-size: 20px;
        color: #000;
    }
    
    .header-navbar.qr .logo img{
        height: 50px;
        object-fit: contain;
    }
    
    .app-sidebar .menu .phone{
        position: absolute;
        top: 50px;
        width: calc(100% - 30px);
    }
    
    .app-sidebar .menu .address{
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        font-size: 20px;
    }

}
